/*
 * DrawableRigidBody.java
 *
 * Created on October 17, 2004, 10:27 AM
 */

package JSci.physics;

/**
 *
 * @author  arturo
 */
public abstract class DrawableRigidBody2D extends RigidBody2D {
    protected java.awt.geom.AffineTransform af = new java.awt.geom.AffineTransform();
    /** Creates a new instance of DrawableRigidBody */
    public abstract java.awt.Shape getShape();
    
    public java.awt.geom.AffineTransform getAffineTransform() {
        return this.af;
    }
}
